'use strict';
define([
  'angular',

  'widgets/mapapp/geosignet/directives/geosignetwidget',
  'widgets/mapapp/geosignet/directives/toolbargeosignet',

  'angular-strap',
  'angular-strap.tpl',

  'angular-route',

  'toastr',
  'ol3js',
  'ng-table',
], function(angular, geosignetwidget, toolbargeosignet) {
  // generation du module
  var gcgeosignet = angular.module('gc_geosignet', [
    'mgcrea.ngStrap',
    'ngRoute',
    'pascalprecht.translate',
  ]);
  // ajout service

  // ajout controller

  // ajout directive
  // modelwidget.directive('gcmodelwidgetdir',gc_scalelinedirectives);
  //gcgeosignet.directive('geosignetwidget',geosignetwidget);
  gcgeosignet.directive('toolbargeosignet', toolbargeosignet);
  // ajout factory

  //route provider

  return gcgeosignet;
});
